summaryrefslogtreecommitdiffstats
path: root/regress/transfer.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:40:04 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:40:04 +0000
commit25505898530a333011f4fd5cbc841ad6b26c089c (patch)
tree333a33fdd60930bcccc3f177ed9467d535e9bac6 /regress/transfer.sh
parentInitial commit. (diff)
downloadopenssh-b503b34536f98116d1873eb2dc80dddf75554e63.tar.xz
openssh-b503b34536f98116d1873eb2dc80dddf75554e63.zip
Adding upstream version 1:9.2p1.upstream/1%9.2p1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'regress/transfer.sh')
-rw-r--r--regress/transfer.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/regress/transfer.sh b/regress/transfer.sh
new file mode 100644
index 0000000..cf174a0
--- /dev/null
+++ b/regress/transfer.sh
@@ -0,0 +1,23 @@
+# $OpenBSD: transfer.sh,v 1.4 2017/04/30 23:34:55 djm Exp $
+# Placed in the Public Domain.
+
+tid="transfer data"
+
+rm -f ${COPY}
+${SSH} -n -q -F $OBJ/ssh_proxy somehost cat ${DATA} > ${COPY}
+if [ $? -ne 0 ]; then
+ fail "ssh cat $DATA failed"
+fi
+cmp ${DATA} ${COPY} || fail "corrupted copy"
+
+for s in 10 100 1k 32k 64k 128k 256k; do
+ trace "dd-size ${s}"
+ rm -f ${COPY}
+ dd if=$DATA obs=${s} 2> /dev/null | \
+ ${SSH} -q -F $OBJ/ssh_proxy somehost "cat > ${COPY}"
+ if [ $? -ne 0 ]; then
+ fail "ssh cat $DATA failed"
+ fi
+ cmp $DATA ${COPY} || fail "corrupted copy"
+done
+rm -f ${COPY}